﻿package no.ekse.productball 
{
	import flash.display.Sprite;
	
	/**
	 * ...
	 * @author Magnus Ekse
	 */
	public class VoteBar extends Sprite
	{
		private var left:Number;
		private var right:Number;
		private var jump:Number;
		private var numVotes:Number;
		
		private var barWidth:Number;
		private var barHeight:Number;
		
		public function VoteBar() 
		{
			super();
			
			barHeight = 20;
			barWidth = (1024 - 200) / 2;
			
			x = 50;
			y = 50;

			numVotes = 100;
			left = 13;
			right = 63;
			jump = 20;
			
			
			
			updateBar();
			
		}
		
		private function updateBar():void
		{
			
			
			graphics.clear();
			alpha = 0.75;
			
			graphics.beginFill(0xFFFFFF);
			graphics.drawRect(0, 0, barWidth, barHeight);
			graphics.endFill();
			
			graphics.beginFill(0x800000);
			graphics.drawRect(0, 0, (left / numVotes) * barWidth, barHeight);
			graphics.endFill();
			
			graphics.beginFill(0x000080);
			graphics.drawRect( barWidth - (right / numVotes) * barWidth, 0, (right / numVotes) * barWidth, barHeight);
			graphics.endFill();
			
			graphics.beginFill(0x008000);
			graphics.drawRect((left / numVotes) * barWidth + (((numVotes - left - right - jump)/numVotes) * barWidth) / 2, 0, (jump / numVotes) * barWidth, barHeight);
			graphics.endFill();
			
			

			//trace(left + "." + right + "." + jump + "." + numVotes + "." + barWidth + "." + barHeight);
			//trace("wololooo");
		}
		
		public function setLeftVotes(val:int):void
		{
			left = val;
			updateBar();
		}
		public function setRightVotes(val:int):void
		{
			right = val;
			updateBar();
		}
		public function setJumpVotes(val:int):void
		{
			jump = val;
			updateBar();
		}
		public function setNumVoters(val:int):void
		{
			numVotes = val;
			updateBar();
		}
		
	}
	
}