package no.ekse.common
{
	public interface LinkedListNode
	{
		/**
		 * The previous node in the linked list
		 */
		function get previousNode():LinkedListNode;
		function set previousNode(value:LinkedListNode):void;
		
		/**
		 * The next node in the linked list
		 */
		function get nextNode():LinkedListNode;
		function set nextNode(value:LinkedListNode):void;
		
		/**
		 * Tests the equality of this node with a given object
		 * @param	o	An object with which to compare this node 
		 */
		function equals(o:Object):Boolean;
	}
}