﻿package  no.ekse.elk
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.geom.Point;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.utils.getTimer;
	
	/**
	 * ...
	 * @author Magnus Ekse
	 */
	public class Nameplate extends Sprite
	{

		private var text:TextField;
		
		private var health:int = 100;
		private var rectBG:Sprite = new Sprite();
		private var rectFG:Sprite = new Sprite();
		private var tf:TextFormat = new TextFormat();
		
		public function Nameplate(textOnly:Boolean) 
		{
			
			
			text = new TextField();
			text.text = "???";
			text.y = -80;
			text.x = -48;
			text.mouseEnabled = false;
			text.selectable = false;
			
			
			tf.color = 0x000000;
			tf.size = 30;
			tf.bold = true;
			
			
			
			if (textOnly == false) {
				rectBG.graphics.beginFill(0xFF0000);
				rectBG.graphics.drawRect(-50, -40, 100, 20);
				rectBG.graphics.endFill();
				addChild(rectBG);

				rectFG.graphics.beginFill(0x00FF00);
				rectFG.graphics.drawRect(0, -40, 100, 20);
				rectFG.graphics.endFill();
				addChild(rectFG);
			}
			
			addChild(text);
		}
		
		public function SetName(text:String):void {
			this.text.text = text;
			this.text.setTextFormat(tf);
			
		}

		public function SetHealth(p:int):void {
			rectFG.width = (p / 100.0) * rectBG.width;
			rectFG.x = -50;
		}
	}
	
}
