﻿package  no.ekse.mooses
{
	import flash.events.Event;
	
	/**
	 * The event which is propagated when the connection between Flash and MOOSES changes.
	 * 
	 * @author Magnus Ekse
	 */
	public class MoosesConnectionEvent extends Event 
	{
		public static const MOOSES_CONNECTED:String = "MoosesConnected";
		public static const MOOSES_DISCONNECTED:String = "MoosesDisconnected";
		public static const MOOSES_ATTEMPTCONNECT:String = "MoosesAttemptConnect";
		public static const MOOSES_ERRORCONNECT:String = "MoosesErrorConnect";
		
		public function MoosesConnectionEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) 
		{ 
			super(type, bubbles, cancelable);
			
		} 
		
		public override function clone():Event 
		{ 
			return new MoosesConnectionEvent(type, bubbles, cancelable);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("MoosesConnectionEvent", "type", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}