﻿package  no.ekse.mooses
{
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Magnus Ekse
	 */
	public class MoosesKeyEvent extends Event 
	{
		public static const MOOSES_KEY_EVENT:String = "MoosesKeyEvent";
		
		public var keyCode:int = -1;
		public var keyState:int = -1;
		public var playerId:int = -1;
		
		public function MoosesKeyEvent(type:String, playerId:int, keyCode:int, keyState:int, bubbles:Boolean=false, cancelable:Boolean=false) 
		{ 
			super(type, bubbles, cancelable);
			
			this.playerId = playerId;
			this.keyCode = keyCode;
			this.keyState = keyState;
		} 
		
		public override function clone():Event 
		{ 
			return new MoosesKeyEvent(type, playerId, keyCode, keyState, bubbles, cancelable);
		} 
		
		public override function toString():String 
		{ 
			return formatToString("MoosesKeyEvent", "type", "playerId", "keyCode", "keyState", "bubbles", "cancelable", "eventPhase"); 
		}
		
	}
	
}