﻿package no.ekse.productball 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFieldAutoSize;
	
	public class Stateboard  extends Sprite
	{
		private var stateHeadingFormat:TextFormat;
		private var stateDescriptionFormat:TextFormat;
		private var stateAnnounceFormat:TextFormat;
		
		private var stateHeadingField:TextField;
		private var stateDescriptionField:TextField;
		private var stateAnnounceField:TextField;
		
		public function Stateboard() 
		{
			stateHeadingFormat = new TextFormat();
			stateHeadingFormat.font = "Verdana";
			stateHeadingFormat.color = 0xFFFFFF;
			stateHeadingFormat.size = 60;
			
			stateDescriptionFormat = new TextFormat();
			stateDescriptionFormat.font = "Verdana";
			stateDescriptionFormat.color = 0xFFFFFF;
			stateDescriptionFormat.size = 30;
			
			stateAnnounceFormat = new TextFormat();
			stateAnnounceFormat.font = "Verdana";
			stateAnnounceFormat.color = 0xFFFFFF;
			stateAnnounceFormat.size = 100;
			
			stateHeadingField = new TextField();
			stateHeadingField.defaultTextFormat = stateHeadingFormat;
			stateHeadingField.x = 50;
			stateHeadingField.y = 50;
			stateHeadingField.width = 1200;
			stateHeadingField.background = true;
			stateHeadingField.backgroundColor = 0x000000;
			stateHeadingField.autoSize = TextFieldAutoSize.LEFT;
			
			stateDescriptionField = new TextField();
			stateDescriptionField.defaultTextFormat = stateDescriptionFormat;
			stateDescriptionField.x = 50;
			stateDescriptionField.y = 120;
			stateDescriptionField.background = true;
			stateDescriptionField.backgroundColor = 0x000000;
			stateDescriptionField.autoSize = TextFieldAutoSize.LEFT;
			
			stateAnnounceField = new TextField();
			stateAnnounceField.defaultTextFormat = stateAnnounceFormat;
			stateAnnounceField.x = 50;
			stateAnnounceField.y = 300;
			//stateAnnounceField.height = 150;
			stateAnnounceField.background = true;
			stateAnnounceField.backgroundColor = 0x000000;
			stateAnnounceField.autoSize = TextFieldAutoSize.LEFT;
			
			addChild(stateHeadingField);
			addChild(stateDescriptionField);
			addChild(stateAnnounceField);
		}
		
		public function updateBoard(heading:String, description:String, announce:String):void
		{
			stateHeadingField.text = heading;
			stateDescriptionField.text = description;
			stateAnnounceField.text = announce;
			
		}
		public function blankBoard():void
		{
			updateBoard("", "", "");
		}
		
		
	}

}