﻿package no.ekse.productball 
{
	import no.ekse.mooses.MoosesPlayer;
	import no.ekse.mooses.MoosesUnit;
	import no.ekse.mooses.MoosesFrameworkClient;
	
	
	/**
	 * ...
	 * @author Magnus Ekse
	 */
	public class Voter implements MoosesUnit
	{
		public static const UP:int = 1;
		public static const LEFT:int = 2;
		public static const RIGHT:int = 3;
		public static const IDLE:int = 0;
		

		private var vote:int;
		private var name:String;
		private var moosesPlayer:MoosesPlayer;
		
		public function Voter(name:String) 
		{
			vote = IDLE;
			
			
			this.name = name;
		}
		
		public function getVote():int
		{
			if (Main.DEBUG) {
				return (int)(Math.random() * 4);
			}
			return vote;
		}
		public function getName():String
		{
			return name;
		}
		
		public function getMoosesPlayer():MoosesPlayer {
				return moosesPlayer;
		}
		public function setMoosesPlayer(player:MoosesPlayer):void {
			
			moosesPlayer = player;
		}
		public function update():void
		{
			
		}
		
		public function keyDown(keyId:int):void 
		{
			if (keyId == MoosesFrameworkClient.KEY_8) {
				vote = IDLE;
			} else if (keyId == MoosesFrameworkClient.KEY_4) {
				vote = LEFT;
			} else if (keyId == MoosesFrameworkClient.KEY_6) {
				vote = RIGHT;
			} else if (keyId == MoosesFrameworkClient.KEY_2) {
				vote = UP;
			}
			
			trace("Vote set to " + vote);
		}
		
		public function keyUp(keyId:int):void 
		{
			vote = IDLE;
		}
		
		
		
		
	}
	
}