﻿package no.ekse.achtung 
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	/**
	 * ...
	 * @author ...
	 */
	public class AchtungScoreboard extends Sprite
	{
		[Embed(source='res/scoreboard.png')]
		private static const scoreboardGfx:Class;
		
		private var scoreboardSprite:Bitmap;
		
		private var scores:Array = new Array(8);
		
		public function AchtungScoreboard(w:int, h:int) 
		{
			scoreboardSprite = new AchtungScoreboard.scoreboardGfx();
			
			scoreboardSprite.width = w;
			scoreboardSprite.height = h;
			
			addChild(scoreboardSprite);
			
			
			
			
			var i:int;
			
			for (i = 0; i < 8; i++) {
				var s:TextField = new TextField();
				
				s.x = (w / 4) * (i % 4);
				s.width = w / 4;
				
				if (i > 3) {
					s.y = (h / 2);
				}
				s.y = s.y - 7;
				
				var scoreFormat:TextFormat = new TextFormat();
				scoreFormat.font = "Verdana";
				scoreFormat.color = 0xFFFFFF;
				scoreFormat.size = 36;
				
				if (i == 0) {
					scoreFormat.color = 0xFFFF0000;
				} else if (i == 1) {
					scoreFormat.color = 0xFF3251FF;
				} else if (i == 2) {
					scoreFormat.color = 0xFF00FF21;
				} else if (i == 3) {
					scoreFormat.color = 0xFFFF00DC;
				} else if (i == 4) {
					scoreFormat.color = 0xFFFFD800;
				} else if (i == 5) {
					scoreFormat.color = 0xFFFF6A00;
				} else if (i == 6) {
					scoreFormat.color = 0xFF00FFD0;
				} else if (i == 7) {
					scoreFormat.color = 0xFFFFFFFF;
				}
				
				s.defaultTextFormat = scoreFormat;
				
				trace(s.x + ", " + s.y);
				s.text = " ";
				scores[i] = s;
				
				addChild(scores[i]);
			}
			
		}
		
		public function updateScoreboard(points:Array):void
		{
			var i:int;
			
			for (i = 0; i < points.length; i++) {
				(scores[ (i / 2) as int] as TextField).text = points[i] + " \t" + points[i + 1];
				i++;
			}
			
		}
		
	}

}