﻿package no.ekse.productball 
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.geom.Point;
	
	/**
	 * ...
	 * @author Magnus Ekse
	 */
	public class ProductBall extends Sprite
	{
		private var ball:Sprite = new Sprite();
		private var radius:Number;
		private var velocity:Point = new Point();
		
		[Embed(source='res/beachball.png')]
		private static const ballGfx:Class;
		
		private var ballSprite:Bitmap;
		
		public function ProductBall() 
		{
			radius = 50;
			
			velocity = new Point(4.5, 1);
			
			ball.graphics.beginFill(0x008000);
			ball.graphics.drawCircle(0, 0, radius);
			ball.alpha = 0.75;
			ball.graphics.endFill();
			
			ballSprite = new ProductBall.ballGfx();
			ballSprite.x = -50;
			ballSprite.y = -50;
			addChild(ballSprite);
			//addChild(ball);
			
			x = 400
			y = 200;
			
		}
		
		public function getRadius():Number
		{
			return radius;
		}
		public function getVelocity():Point
		{
			return velocity;
		}
		public function setVelocity(vel:Point):void
		{
			velocity = vel;
			ensureMaxVel();
		}
		public function addVelocity(vel:Point):void
		{
			velocity = velocity.add(vel);
			ensureMaxVel();
		}
		private function ensureMaxVel():void
		{
			if (velocity.length > 10) {
				trace("wee " + velocity.length);
			}
		}
		
	}
	
}